package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * Description:个人信用报告“数字解读”
 *
 * @author lgs
 * @date 2023/06/07
 */
@Data
public class SmryNumRead implements IXmlBase {

    /**
     * 数字解读
     */
    @JSONField(name = "NUMBERREAD")
    private Integer numberRead;


    /**
     * 相对位置
     */
    @JSONField(name = "RELPOSITION")
    private String relposition;

    /**
     * 分数说明条数
     */
    @JSONField(name = "SCOREEXPLAINNUM")
    private Integer scoreExplainNum;

    /**
     * 分数代码说明
     */
    @JSONField(name = "SCOREEXPLAINCODELS")
    private List<SmryNumReadInf> smryNumReadInfList;

}
