package com.kexun.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.kexun.entity.BusInfoModifyHis;
import com.baomidou.mybatisplus.extension.service.IService;
import com.kexun.model.ro.BusInfoModifyHisRO;

/**
 * <p>
 * 业务信息变更历史 服务类
 * </p>
 *
 * @author lgs
 * @since 2023-05-17
 */
public interface BusInfoModifyHisService extends IService<BusInfoModifyHis> {

    /**
     * 分页查询历史信息记录
     * @param busInfoModifyHisRo 查询RO
     * @return 分页List
     */
    IPage<BusInfoModifyHis> listHisInfo(BusInfoModifyHisRO busInfoModifyHisRo);
}
