package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.BusinessInfo;
import com.kexun.entity.CooperatorInfo;
import com.kexun.entity.ReportFileEntity;
import com.kexun.mapper.BusinessMapper;
import com.kexun.mapper.ReportFileMapper;
import com.kexun.service.ReportFileService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 报文文件服务Service
 */
@Service
public class ReportFileServiceImpl extends ServiceImpl<ReportFileMapper, ReportFileEntity>
    implements ReportFileService {

    @Resource
    ReportFileMapper reportFileMapper;
    @Override
    public List<ReportFileEntity> QueryFileByNum(String businessNum) {
        List<ReportFileEntity> l = reportFileMapper.QueryFileByNum(businessNum);
        return l;
    }

    @Override
    public ReportFileEntity findByHeadInfId(long headInfId) {
        QueryWrapper<ReportFileEntity> wrapper=new QueryWrapper<ReportFileEntity>().eq("head_inf_id",headInfId);
        return getOne(wrapper);
    }
}




