package com.kexun.constant;

import lombok.Data;

/**
 * Description:报文结构常用的常量类
 *
 * @author lgs
 * @date 2023/05/10
 */
public class ReportConsts {

    /**
     * request 节点名称
     */
    public static final String REQUEST = "request";

    /**
     * responseHeader节点名称
     */
    public static final String RESPONSE_HEADER = "responseHeader";

    /**
     * responseBody节点名称
     */
    public static final String RESPONSE_BODY = "responseBody";

    /**
     * 返回码0
     */
    public static final String RETURN_CODE_0 = "0";

    /**
     * 返回码1 -内部异常
     */
    public static final String RETURN_CODE_1 = "1";
    /**
     * 返回描述-查询成功，且有报告
     */
    public static final String RESULT_MSG_SUCC_HAVE = "查询成功，且有报告";

    /**
     * 返回描述-查询成功，无报告
     */
    public static final String RESULT_MSG_SUCC_NOHAVE = "查询成功，无报告";
    /**
     * 返回描述-查询失败
     */
    public static final String RESULT_MSG_FAIL = "查询失败";

    /**
     * 返回描述-查询失败
     */
    public static final String RESULT_MSG_ERROR = "内部异常";


}


