package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.kexun.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 字段模板(组合)
 * </p>
 *
 * @author lgs
 * @since 2023-06-28
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("field_template")
@ApiModel(value="FieldTemplateEntity对象", description="字段模板(组合)")
public class FieldTemplateEntity extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段模板编号")
    @TableField("template_no")
    private String templateNo;

    @ApiModelProperty(value = "字段模板名称")
    @TableField("template_name")
    private String templateName;

    @ApiModelProperty(value = "状态")
    @TableField("status")
    private String status;


}
